*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.container {
  width: 1170px;
  margin: auto;
}

body {
  font-family: 'Open Sans', sans-serif;
  width: 100%;
}

button {
  border: none;
  cursor: pointer;
}

.header-top {
  background-color: #313131;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__logo {
  display: inline-block;
  margin-left: 16px;
  padding: 20px 0 20px 0;
}

.header__logo__img {
  margin-right: 30px;
}

.header__logo__text {
  font-style: 22px;
  line-height: 30px;
  font-weight: bold;
  color: white;
  display: inline-block;
  margin-left: 30px;
}

.header-nav__menu {
  display: flex;
  justify-content: space-between;
  width: 704px;
}

.header-nav__link {
  text-transform: uppercase;
  color: white;
  font-size: 15px;
  line-height: 20px;
}

.header-nav__link:hover {
  color: #14B9D5;
}

.search {
  padding: 35px;
  background: #000 url(../img/search.svg) no-repeat center;
  margin-right: 2px;
}

.search:active {
  background-color: #14B9D5;
}

.header-hero {
  background: url(../img/header-background.jpg) no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
  min-height: 369px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
}

.header-hero__title {
  text-transform: uppercase;
  color: #FFF;
  font-size: 27px;
  font-weight: bold;
  line-height: 37px;
  margin-bottom: 44px;
}

.header-hero__buttons {
  margin-bottom: 74px;
}

.primary-btn {
  padding: 16px 0;
  width: 170px;
  margin: 20px;
  font-size: 18px;
  line-height: 25px;
  color: #FFF;
  border-radius: 4px;
  border: 2px solid transparent;
}

.primary-btn:hover {
  border: 2px solid white;
}

.primary-btn:active {
  color: black;
}

.btn--green {
  background-color: #89CA62;
}

.btn--azure {
  background-color: #14B9D5;
}

.posts {
  padding: 49px 0 79px;
  background-color: #F2F2F2;
}

.posts__title {
  text-align: center;
  text-transform: uppercase;
  color: #18B4CF;
  font-size: 27px;
  line-height: 37px;
  font-weight: bold;
  margin-bottom: 52px;
}

.posts__container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
  max-height: 870px;
}

.post {
  display: block;
  margin-bottom: 30px;
}

.post__desc {
  font-size: 18px;
  line-height: 25px;
  font-weight: bold;
  color: #353A3D;
  padding: 20px 0;
  text-align: center;
  background-color: #FFF;
}

.clients {
  background: url(../img/parallax-bg.jpeg) no-repeat;
  background-size: cover;
  background-attachment: fixed;
  height: 588px;
}

.clients__title {
  text-transform: uppercase;
  font-size: 32px;
  line-height: 44px;
  color: #FFF;
  text-align: center;
  font-weight: bold;
  grid-column: 1/5;
}

.clients__container {
  display: grid;
  grid-template-columns: repeat(4, 245px);
  grid-template-rows: 284px 10px 197px 97px;
  align-items: center;
  margin: 0 95px;
}

.client__link {
  display: inline-block;
  justify-content: center;
  margin: 0 auto;
}

.national-post {
  background: url(../img/national-post__logo.svg) no-repeat;
  width: 207px;
  height: 28px;
  grid-row: 3;
  grid-column: 1;
}

.dryme {
  background: url(../img/dryme__logo.svg) no-repeat;
  width: 135px;
  height: 49px;
  grid-row: 3;
  grid-column: 2;
}

.house-home {
  background: url(../img/H&H__logo.svg) no-repeat;
  width: 232px;
  height: 51px;
  grid-row: 3;
  grid-column: 3;
}

.journy {
  background: url(../img/journy__logo.svg) no-repeat;
  width: 141px;
  height: 52px;
  grid-row: 3;
  grid-column: 4;
}

.clients__title-line {
  grid-row: 2;
  grid-column: 1 / 5;
  width: 60px;
  border-top: 3px solid #18B4CF;
  margin: 0 auto;
}

.top-rated {
  margin: 51px 0;
  text-align: center;
}

.top-rated__title {
  color: #18B4CF;
  text-transform: uppercase;
  text-align: center;
  font-size: 27px;
  line-height: 37px;
  font-weight: bold;
  margin-bottom: 52px;
}

.top-rated__wrapper {
  display: grid;
  grid-template-columns: repeat(7, minmax(127px, 1fr));
  text-align: center;
}

.top-rated__picture {
  width: 100%;
}

.news__title {
  color: #18B4CF;
  text-transform: uppercase;
  text-align: center;
  font-size: 27px;
  line-height: 37px;
  font-weight: bold;
  margin-bottom: 52px;
}

.news__wpapper {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: 259px 418px 418px 259px;
  row-gap: 42px;
  column-gap: 35px;
  min-height: 1487px;
  padding-bottom: 74px;
}

.news-post {
  background-color: #F9F7F7;
  display: flex;
}

.news-post__desc {
  text-align: right;
}

.news-post__title {
  color: #353A3D;
  font-size: 18px;
  line-height: 25px;
  font-weight: bold;
}

.news-post__text {
  color: #5B6469;
  font-size: 14px;
  line-height: 21px;
}

.block--top-left {
  grid-row: 1;
  grid-column: 1 / 4;
}

.large-post .news-post__title {
  margin-bottom: 14px;
}

.large-post .news-post__desc {
  padding: 40px 24px 40px 10px;
}

.block--top-right {
  grid-row: 1;
  grid-column: 4/ 5;
  flex-direction: column;
}

.small-post .news-post__title {
  margin-bottom: 14px;
  text-align: center;
}

.small-post .news-post__desc {
  padding: 14px 27px;
}

.block--bottom-left {
  grid-row: 4;
  grid-column: 1;
  flex-direction: column;
}

.block--bottom-right {
  grid-row: 4;
  grid-column: 2 / 5;
}

.block--center-t_left {
  grid-row: 2;
  grid-column: 1 / 3;
  flex-direction: column;
}

.medium-post .news-post__title {
  margin-bottom: 14px;
}

.medium-post .news-post__desc {
  padding: 12px 14px 3px 14px;
}

.medium-post .news-post__img {
  width: 100%;
}

.block--center-t_right {
  grid-row: 2;
  grid-column: 3 / 5;
  flex-direction: column;
}

.block--center-b_left {
  grid-row: 3;
  grid-column: 1 / 3;
  flex-direction: column;
}

.block--center-b_right {
  grid-row: 3;
  grid-column: 3 / 5;
  flex-direction: column;
}

.footer {
  color: white;
  background-color: #000;
  padding: 29px 0 27px 0;
}

.footer__wrapper {
  display: grid;
  grid-template-columns: 512px 554px 105px;
  align-items: center;
}

.footer__text {
  font-size: 13px;
  line-height: 13px;
}

.footer__logo {
  grid-column: 3;
}
